Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Subscriptions

  • Create subscription

  • Bulk swap plan

  • Search subscriptions

  • Retrieve subscription

  • Update subscription

  • Delete subscription action

  • Change billing anchor date

  • Cancel subscription

  • List subscription events

  • Pause subscription

  • Resume subscription

  • Swap plan

  • Webhooks

  • subscription.created

  • subscription.updated

<- Subscriptions API

Subscriptions API

All versions ->

Retrieve subscription

GET

 /v2/subscriptions/{subscription_id}

Retrieves a specific subscription.

Permissions:SUBSCRIPTIONS_READ

Guide

Retrieve Subscriptions

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

subscription_id

string

Required

The ID of the subscription to retrieve.

Link to section

Query parameters

Link to section

include

string

Beta

A query parameter to specify related information to be included in the response.

The supported query parameter values are:

  • actions: to include scheduled actions on the targeted subscription.
Link to section

Response fields

Link to section

errors

Errors encountered during the request.

Link to section

subscription

The subscription retrieved.

Link to section

Examples

All versions ->

GET /v2/subscriptions/{subscription_id}
curl https://connect.squareup.com/v2/subscriptions/8151fc89-da15-4eb9-a685-1a70883cebfc \ -H 'Square-Version: 2026-09-16' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "subscription": { "id": "8151fc89-da15-4eb9-a685-1a70883cebfc", "location_id": "S8GWD5R9QB376", "plan_variation_id": "6JHXF3B2CW3YKHDV4XEM674H", "customer_id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "card_id": "ccof:IkWfpLj4tNHMyFii3GB", "start_date": "2022-07-27", "charged_through_date": "2023-11-20", "status": "ACTIVE", "invoice_ids": [ "inv:0-ChCHu2mZEabLeeHahQnXDjZQECY", "inv:0-ChrcX_i3sNmfsHTGKhI4Wg2mceA" ], "price_override_money": { "amount": 25000, "currency": "USD" }, "created_at": "2022-07-27T21:53:10Z", "paid_until_date": "2024-08-01", "timezone": "America/Los_Angeles", "source": { "name": "My Application" } } }